\name{hu6800hsrefseqMAPCOUNTS} 

\alias{hu6800hsrefseqMAPCOUNTS}


\title{Number of mapped keys for the maps in package hu6800hsrefseq.db}

\description{
  hu6800hsrefseqMAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package hu6800hsrefseq.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  hu6800hsrefseqMAPCOUNTS
  mapnames <- names(hu6800hsrefseqMAPCOUNTS)
  hu6800hsrefseqMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package hu6800hsrefseq.db
  checkMAPCOUNTS("hu6800hsrefseq.db")
}

\keyword{datasets}

